## fakeroot-net 0.9.6-1

=== debian/changelog ===
fakeroot-net (0.9.6-1) unstable; urgency=high

  * Using libtool 1.4.2-4 from stable.  This seems to fix some problems.

 -- Timo Savola <tsavola@movial.fi>  Sat, 20 Dec 2003 11:53:45 +0200

fakeroot-net (0.9.6) unstable; urgency=medium

  * Fixed reopened bug #29.
  * Added --fd-base option.

 -- Timo Savola <tsavola@movial.fi>  Fri, 19 Dec 2003 19:29:08 +0200

fakeroot-net (0.9.5) unstable; urgency=high

  * Fixed bug #29 and other stuff.
  * fork/vfork wrapped for better socket connection handling.
  * Installs fakeroot-net/message.h for the benefit of sbrsh.
  * Removed load/save database functionality.
  * Added --version option.

 -- Timo Savola <tsavola@movial.fi>  Fri, 19 Dec 2003 16:36:19 +0200

fakeroot-net (0.9.1) unstable; urgency=low

  * scripts/fakeroot: discard existing LD_PRELOAD value.
  * libfakeroot.c: divert setgroups.  Merged from fakeroot 0.8.0.

 -- Timo Savola <timo.savola@movial.fi>  Sat, 01 Nov 2003 14:41:06 +0200

fakeroot-net (0.9.0) unstable; urgency=high

  * Network-enabled version of fakeroot: message queues and
    semaphores have been replaced with TCP sockets.
  * faked.c: Replaces faked.cc.

 -- Timo Savola <timo.savola@movial.fi>  Tue, 28 Oct 2003 08:48:52 +0200

fakeroot (0.7.8) unstable; urgency=medium

  * communicate.h: patch from Bart Trojanowski to avoid
    structure padding problems on amd64.  closes: #212087.
  * configure.ac, communicate.h: make it conditional on
    gcc.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Sep 2003 21:34:30 -0400

fakeroot (0.7.7) unstable; urgency=medium

  * doc/fr/fakeroot.1 update from Sylvain Cherrier.  closes: #211915.
  * faked.cc: Patch from Marc Horowitz to use long longs for
    the persistent db.  closes: #211617.
  * faked.cc: Change long longs to uint64_t.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Sep 2003 12:13:17 -0400

fakeroot (0.7.6) unstable; urgency=low

  * Add Spanish manpages from Ruben Porras <nahoo82@telefonica.net>.
    closes: #208185.
  * Bump Standards-Version to 3.6.1.

 -- Clint Adams <schizo@debian.org>  Mon,  1 Sep 2003 23:58:21 -0400

fakeroot (0.7.5) unstable; urgency=medium

  * configure.ac: cosmetic changes 
  * Remove gcc-3.3 build-dep for sparc.  closes: #201253.
  * No longer ship fakerootconfig.h.  closes: #201355.
  * Bump Standards-Version to 3.6.0.

 -- Clint Adams <schizo@debian.org>  Mon,  7 Jul 2003 20:20:32 -0400

fakeroot (0.7.4) unstable; urgency=medium

  * configure.ac: Debian GNU/FreeBSD uses libc.so.1.

 -- Clint Adams <schizo@debian.org>  Mon,  7 Jul 2003 19:05:42 -0400

fakeroot (0.7.3) unstable; urgency=medium

  * Use --build and --host for sparc64 now. 

 -- Clint Adams <schizo@debian.org>  Tue, 13 May 2003 16:59:54 -0400

fakeroot (0.7.2) unstable; urgency=medium

  * Fix stupid typo in Build-Depends line.

 -- Clint Adams <schizo@debian.org>  Tue, 13 May 2003 12:06:53 -0400

fakeroot (0.7.1) unstable; urgency=medium

  * Fix stupid typo in sparc64 build.

 -- Clint Adams <schizo@debian.org>  Mon, 12 May 2003 15:41:22 -0400

fakeroot (0.7.0) unstable; urgency=low

  * doc/fakeroot.1: Fix more hyphens in manpage.
  * faked.cc, doc/faked.1, doc/fakeroot.1, scripts/fakeroot:
    Add -u|--unknown-is-real option.  closes: #191537.

 -- Clint Adams <schizo@debian.org>  Fri,  9 May 2003 19:20:32 -0400

fakeroot (0.6.9) unstable; urgency=low

  * Re-enable sparc64 build. 

 -- Clint Adams <schizo@debian.org>  Thu, 10 Apr 2003 19:24:57 -0400

fakeroot (0.6.8) unstable; urgency=low

  * Build-dep on file, since libtool wants it. 

 -- Clint Adams <schizo@debian.org>  Thu, 27 Mar 2003 01:41:52 -0500

fakeroot (0.6.7) unstable; urgency=low

  * doc/fakeroot.1: Fix hyphens in manpage. 
  * doc/fakeroot.1: Fix single quotes in manpage. 
  * Ship md5sums.

 -- Clint Adams <schizo@debian.org>  Wed, 26 Mar 2003 15:17:51 -0500

fakeroot (0.6.6) unstable; urgency=low

  * README.saving and related doc fixes from Robie Basak.

 -- Clint Adams <schizo@debian.org>  Tue, 25 Mar 2003 09:41:37 -0500

fakeroot (0.6.5) unstable; urgency=low

  * Since s390 buildd is 31-bit, attempt to cross-compile 64-bit fakeroot
    libs. 

 -- Clint Adams <schizo@debian.org>  Sun, 16 Mar 2003 02:27:08 -0500

fakeroot (0.6.4) unstable; urgency=low

  * Build-dep on gcc-3.3 on s390. 

 -- Clint Adams <schizo@debian.org>  Fri, 14 Mar 2003 18:01:39 -0500

fakeroot (0.6.3) unstable; urgency=low

  * Enable 64-bit compile on s390.

 -- Clint Adams <schizo@debian.org>  Fri, 14 Mar 2003 15:40:27 -0500

fakeroot (0.6.2) unstable; urgency=low

  * faked.cc: suggest SYSV IPC in message channel error.  closes: #184597.

 -- Clint Adams <schizo@debian.org>  Thu, 13 Mar 2003 13:34:34 -0500

fakeroot (0.6.1) unstable; urgency=medium

  * doc/fakeroot.1: add -i and -s to SYNOPSIS.
  * doc/faked.1: add --load and --save-file to SYNOPSIS.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Mar 2003 15:26:24 -0500

fakeroot (0.6) unstable; urgency=low

  * faked.cc, scripts/fakeroot: patch from Robie Basak to add persistent
    database support.  Still needs documentation.

 -- Clint Adams <schizo@debian.org>  Thu, 20 Feb 2003 11:47:11 -0500

fakeroot (0.5.10) unstable; urgency=low

  * doc/fr/fakeroot.1: updated translation from Sylvain Cherrier.

 -- Clint Adams <schizo@debian.org>  Mon, 17 Feb 2003 12:58:40 -0500

fakeroot (0.5.9) unstable; urgency=low

  * Fix version in configure.in
  * Change iostream.h include to iostream.

 -- Clint Adams <schizo@debian.org>  Sat, 18 Jan 2003 08:01:32 -0500

fakeroot (0.5.8) unstable; urgency=low

  * Disable 64-bit compile on sparc since it's disabled in gcc 3.2 now.

 -- Clint Adams <schizo@debian.org>  Wed, 11 Dec 2002 18:04:53 -0500

fakeroot (0.5.7) unstable; urgency=low

  * Make preload library variable in test suite, to later handle testing
    OpenBSD, HP-UX, and other platforms that don't use libfakeroot.so.0.

 -- Clint Adams <schizo@debian.org>  Sun,  8 Dec 2002 19:53:50 -0500

fakeroot (0.5.6) unstable; urgency=low


