## fakeroot-net 0.9.6-2

=== debian/changelog ===
fakeroot-net (0.9.6-2) unstable; urgency=low

  * drop command line parsing to make AI happy

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed,  4 May 2005 14:29:05 +0300
