=== debian/control ===
Source: fakeroot-net
Section: utils
Priority: optional
Build-Depends: sharutils, file, libtool (<< 1.5) libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], gcc-3.3 [s390]
Maintainer: Timo Savola <tsavola@movial.fi>
Standards-Version: 3.6.1

Package: fakeroot-net
Architecture: any
Depends: ${shlibs:Depends}
Replaces: fakeroot
Provides: fakeroot
Conflicts: fakeroot
Description: Gives a fake root environment
 This package is intended to enable something like:
   dpkg-buildpackage -rfakeroot
 i.e. to remove the need to become root for a package build.
 This is done by setting LD_PRELOAD to libfakeroot.so,
 which provides wrappers around getuid, chown, chmod, mknod, 
 stat, ..., thereby creating a fake root environment.
 .
 If you don't understand any of this, you do not need fakeroot!
 .
 This is a special network-enabled version of fakeroot.
