## fakeroot-net 0.9.6-2osso1

=== debian/changelog ===
fakeroot-net (0.9.6-2osso1) unstable; urgency=low

  * Build-deps ajusted

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 25 May 2006 12:03:32 +0300

fakeroot-net (0.9.6-2osso) unstable; urgency=low

  * delete debian/files when cleaning

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 24 Mar 2006 20:33:12 +0200
