=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fakeroot-net
 Section: utils
 Priority: optional
-Build-Depends: sharutils, file, libtool (<< 1.5) libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], gcc-3.3 [s390]
+Build-Depends: sharutils, file, libtool, libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], gcc-3.3 [s390]
 Maintainer: Timo Savola <tsavola@movial.fi>
 Standards-Version: 3.6.1
