## fakeroot-net 0.9.6-2osso3

=== debian/changelog ===
fakeroot-net (0.9.6-2osso3) unstable; urgency=low

  * fix permissions and ownership for some control files. 
    Fixes: NB#33543, NB#33544

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 17 Jul 2006 16:24:18 +0300

fakeroot-net (0.9.6-2osso2) unstable; urgency=low

  * fix permissions for the directories Fixes: NB#33542

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 17 Jul 2006 16:17:43 +0300
