=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Build-Depends: sharutils, file, libtool, libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], gcc-3.3 [s390]
-Maintainer: Timo Savola <tsavola@movial.fi>
-Standards-Version: 3.6.1
+Maintainer: Ed Bartosh <eduard.bartosh@nokia.com>
+Standards-Version: 3.7.2
 
 Package: fakeroot-net
 Architecture: any
