=== debian/rules ===
--- 
+++ 
@@ -84,13 +84,16 @@
 	strip --strip-debug debian/tmp/usr/lib/libfakeroot.a
 endif
 	$(INSTALL_FILE) debian/shlibs debian/tmp/DEBIAN/shlibs
+	find $(CURDIR)/debian/tmp -type d -print0 | xargs -0 chmod 755
 	# We can just use the deps for faked.
 	dpkg-shlibdeps -Tdebian/substvars debian/tmp/usr/bin/faked
 	dpkg-gencontrol -ldebian/changelog -isp -Tdebian/substvars -Pdebian/tmp
 	chmod 644 debian/tmp/DEBIAN/control
-	chown 0.0 debian/tmp/DEBIAN/control
+	chown 0:0 debian/tmp/DEBIAN/control
 	chmod  4644  debian/tmp/usr/lib/libfakeroot.so.0.0.1
 	cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
+	chmod 644 debian/tmp/DEBIAN/md5sums
+	chown 0:0 debian/tmp/DEBIAN/md5sums
 	dpkg-deb --build debian/tmp ..
 
 binary-biarch:
